=== debian/changelog ===
python-cgcloud (1.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #851401)

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 Jan 2017 16:25:53 +0100
