=== debian/control ===
Source: python-cgcloud
Section: python
Priority: optional
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools,
#python3-all, python3-setuptools,
   python-concurrent.futures,
   fabric,
   python-paramiko,
   python-subprocess32,
   python-tabulate,
   python-yaml
Standards-Version: 3.9.8
Homepage: https://github.com/BD2KGenomics/cgcloud/
X-Python-Version: >= 2.6
#X-Python3-Version: >= 3.2 # since bd2k is python2 only
Vcs-Git: https://anonscm.debian.org/git/debian-med//python-cgcloud.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-cgcloud.git/
#Testsuite: autopkgtest-pkg-python

Package: python-cgcloud-lib
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: management of VM for Spark, Jenkins, Mesos in Cloud (Python 2)
 Someone please add a good description.
 .
 This package installs the library for Python 2, Python 3 is not yet supported.

Package: python-cgcloud-core
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: management of VM for Spark, Jenkins, Mesos in Cloud (Python 2)
 Someone please add a good description.
 .
 This package installs the library for Python 2, Python 3 is not yet supported.

Package: python-cgcloud
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-cgcloud-lib, python-cgcloud-core
Description: virtual package to combine all of cgcloud (Python 2)
 Nothing described, yet.

#Package: python3-python-cgcloud
#Architecture: all
#Depends: ${python3:Depends}, ${misc:Depends}
#Suggests: python-python-cgcloud-doc
#Description: <insert up to 60 chars description> (Python 3)
# <insert long description, indented with spaces>
# .
# This package installs the library for Python 3.
