=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


export PYBUILD_NAME=cgcloud-$(SUBPACKAGE)
export PYBUILD_DISABLE_python3=test
#export PYBUILD_DISABLE_python2=test
export PYTHONPATH=..

SUBDIRS=lib core

ifeq (,$(SUBPACKAGE))
%:
	for i in $(SUBDIRS); \
	do \
		echo "No Subpackage defined - iterating over all" ; \
		if ! test -L "$$i/debian"; then \
			echo "I: Creating symbolic links to destination debian folder" ; \
			(cd $$i && ln -s ../debian .) ; \
			(cd $$i && ln -s ../version.py .) ; \
		fi ; \
		\
		if test -L "$$i/debian"; then \
			(cd $$i && ./debian/rules SUBPACKAGE=$$i $@ ) ; \
		else \
			echo "W: No links in subdir found, continueing" ; \
		fi ; \
	done 
else
%:
	echo "I: PYBUILD_NAME set to $(PYBUILD_NAME)"
	dh $@ --package=python-cgcloud-$(SUBPACKAGE) --with python2 --buildsystem=pybuild
	find .. -name "*.deb" | xargs -r mv -t ../..
endif


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

override_dh_auto_clean clean:
	test -r debian/control && dh_clean
	for i in $(SUBDIRS); do \
		(cd "$$i" && if [ -r debian/control ] ; then dh_clean; fi ) ; \
	done
	
	echo "Removing symbolic lincs to debian folder from subdirs"
	rm -f lib/debian core/debian 
	find . -name .pybuild -type d |xargs -r rm -r
	find . -name "*.egg-info" -type d |xargs -r rm -r
	find . -name .eggs -type d |xargs -r rm -r
	find . -name __pycache__ -type d |xargs -r rm -r
	find . -name "*.pyc" |xargs -r rm 
	find . -name "*.deb" |xargs -r rm 
	rm -f */MANIFEST.in */version.py

override_dh_auto_test:
	echo "I: Not testing"
